Name:           nec2c
Version:        1.3.3
Release:        %mkrel 1
Summary:        Translation of NEC2 antenna modeling tool from FORTRAN to C
Group:          Communications/Radio
License:        Public Domain
URL:            https://github.com/KJ7LNW/nec2c
Source0:        https://github.com/KJ7LNW/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:        nec2c.1
BuildRequires:  help2man
BuildRequires:  intltool
BuildRequires:  automake

%description
nec2c is a translation of the Numerical Electromagnetics Code (NEC2)
from FORTRAN to C. 

Operationally nec2c differs from NEC2 by being a command line
non-interactive program, taking as arguments the input file name
and optionally the output file name.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
#skip make install and do manual install, it's just one file
install -D -m 0755 nec2c %{buildroot}%{_bindir}/nec2c
mkdir -p %{buildroot}%{_mandir}/man1
help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 -h -h -v -v --no-discard-stderr -N %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS COPYING README NEC2-bug.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Jan 31 2025 barjac <barjac> 1.3.3-1.mga10
+ Revision: 2143738
- new version 1.3.3
- new upstream
- new BRs
- use autogen.sh and autosetup

* Tue Mar 15 2022 umeabot <umeabot> 1.3-5.mga9
+ Revision: 1792154
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1515335
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3-3.mga7
+ Revision: 1299691
- Mageia 7 Mass Rebuild

* Thu Jan 07 2016 barjac <barjac> 1.3-2.mga6
+ Revision: 920222
- fix Url and Source0

* Fri Jul 24 2015 barjac <barjac> 1.3-1.mga6
+ Revision: 857054
- clean spec
- Import xnec2c with thanks to Fedora


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3-1
- Update to latest upstream release.

* Mon Aug 26 2013 Richard Shaw <hobbes1069@gmail.com> - 1.1-1
- Update to latest upstream release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 19 2013 Richard Shaw <hobbes1069@gmail.com> - 0.9-1
- Update to latest upstream release.
- Add man page for nec2c.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.8-1
- New upstream release
- Fix some permissions to silent rpmlint

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.7-3
- Fix Patch0:/%%patch mismatch.

* Tue Jul 1 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.7-2
- Patch for ppc build

* Tue Jul 1 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.7-1
- new release 

* Thu Feb 14 2008 Steve Conklin <sconklin@redhat.com> - 0.6-3
- Rebuild for gcc4.3

* Sat Jan 26 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.6-2
- CFLAGS tweak per review

* Tue Dec 11 2007 Sindre Pedersen Bjørdal - 0.6-1
- Initial build
